in scala.collection.mutable
class SynchronizedPriorityQueue

`class` SynchronizedPriorityQueue [ A ]
  `extends` scala.collection.mutable.PriorityQueue[A]
  `with` scala.ScalaObject

  This class implements synchronized priority queues using a heap. The elements of the queue have to be ordered in terms of the `Ordered[T]` class.

author:
  Matthias Zenger
version:
  1.0, 03/05/2004

Constructor Summary
| `def` this ( ) ( view$0 : (A) => scala.Ordered[A] )

Def Summary
`override` | `def` ++= ( it : scala.Iterator[A] ) : scala.Unit Adds all elements provided by an iterator into the priority queue.
`override` | `def` ++= ( iter : scala.Iterable[A] ) : scala.Unit Adds all elements provided by an `Iterable` object into the priority queue.
`override` | `def` += ( elem : A ) : scala.Unit Inserts a single element into the priority queue.
`override` | `def` clear : scala.Unit Removes all elements from the queue. After this operation is completed, the queue will be empty.
`override` | `def` dequeue : A Returns the element with the highest priority in the queue, and removes this element from the queue.
`override` | `def` elements : scala.Iterator[A] Returns an iterator which yiels all the elements of the priority queue in descending priority order.
`override` | `def` enqueue ( elems : A* ) : scala.Unit Adds all elements to the queue.
`override` | `def` equals ( that : scala.Any ) : scala.Boolean Checks if two queues are structurally identical.
`override` | `def` hashCode : scala.Int The hashCode method always yields an error, since it is not safe to use mutable queues as keys in hash tables.
`override` | `def` isEmpty : scala.Boolean Checks if the queue is empty.
`override` | `def` max : A Returns the element with the highest priority in the queue, or throws an error if there is no element contained in the queue.
`override` | `def` toString : java.lang.String Returns a textual representation of a queue as a string.

Constructor Detail

`def` this ( ) ( view$0 : (A) => scala.Ordered[A] )

Def Detail

override `def` ++= ( it : scala.Iterator[A] ) : scala.Unit

  Adds all elements provided by an iterator into the priority queue.

param:
  it an iterator

override `def` ++= ( iter : scala.Iterable[A] ) : scala.Unit

  Adds all elements provided by an `Iterable` object into the priority queue.

param:
  iter an iterable object

override `def` += ( elem : A ) : scala.Unit

  Inserts a single element into the priority queue.

param:
  elem the element to insert

override `def` clear : scala.Unit

  Removes all elements from the queue. After this operation is completed, the queue will be empty.

override `def` dequeue : A

  Returns the element with the highest priority in the queue, and removes this element from the queue.

return:
  the element with the highest priority.

override `def` elements : scala.Iterator[A]

  Returns an iterator which yiels all the elements of the priority queue in descending priority order.

return:
  an iterator over all elements sorted in descending order.

override `def` enqueue ( elems : A* ) : scala.Unit

  Adds all elements to the queue.

param:
  elems the elements to add.

override `def` equals ( that : scala.Any ) : scala.Boolean

  Checks if two queues are structurally identical.

return:
  true, iff both queues contain the same sequence of elements.

override `def` hashCode : scala.Int

  The hashCode method always yields an error, since it is not safe to use mutable queues as keys in hash tables.

return:
  never.

override `def` isEmpty : scala.Boolean

  Checks if the queue is empty.

return:
  true, iff there is no element in the queue.

override `def` max : A

  Returns the element with the highest priority in the queue, or throws an error if there is no element contained in the queue.

return:
  the element with the highest priority.

override `def` toString : java.lang.String

  Returns a textual representation of a queue as a string.

return:
  the string representation of this queue.